Bug 450751 - TCP_NODELAY
TCP_NODELAY
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Release_Notes (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Lana Brindley
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 16:04 EDT by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 03:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2008-06-10 16:04:54 EDT
In certain scenarios using TCP_NODELAY can significantly improve the performance
of the Java client. The use of TCP_NODELAY can be enabled by setting the
amqj.tcpNoDelay system property to true:

java -Damqj.tcpNoDelay=true ...

Scenarios where this may help include clients that do synchronous publish, as
well as clients that use many small transactions.

Note You need to log in before you can comment on or make changes to this bug.